################################################################################
# 
# Generic Routines
# 
################################################################################

# string concatenation
proc str_concat {args} {
	foreach arg $args {
		append res_str $arg
	}
	return $res_str
}



# adds a zero in front of numbers smaller than 10
# needed for proper date formats
proc two_char_number {num} {
	upvar $num n
	if {$n < 10} {
		set n [str_concat 0 $n]
	}
}

#return the bigger of two numbers
proc max {x y} {
    if {$x > $y} {
        return $x
    } else  {
        return $y
    }
    
}